# EPrints Services/jb4 2011-05-11 add user menu link to irstats http://servicesjira.eprints.org:8080/browse/MCF-17
package EPrints::Plugin::Screen::Statistics;

use EPrints::Plugin::Screen;

@ISA = ( 'EPrints::Plugin::Screen' );

use strict;

sub new
{
        my( $class, %params ) = @_;

        my $self = $class->SUPER::new(%params);

	$self->{appears} = [
		{
			place => "key_tools",
			position => 5000,
		}
	];
        
        return $self;
}

sub can_be_viewed
{
        my( $self ) = @_;

	return 0 unless $self->{session}->get_repository->can_call( "irstats_abstract_content" );

	my $user = $self->{session}->current_user;
	return defined $user && ($user->has_role("editor") || $user->has_role("admin"));
}

sub render_action_link
{
        my( $self, %opts ) = @_;

        my $link = $self->SUPER::render_action_link( %opts );
        $link->setAttribute( href => $self->{session}->config( "http_cgiroot" ) . "/irstats.cgi" );

        return $link;
}

1;

