package IRStats::GUI::db;

our @ISA = qw( IRStats::GUI );

use strict;

sub body
{
	my( $self ) = @_;

	my $session = $self->{session};

	my $conf = $session->get_conf;

	# EPrints Services/tmb 2011-01-25 http://servicesjira.eprints.org:8080/browse/SHEFFHALLAM-85 give repositories a chance to show a header
	my $eprints_session = $session->{eprints_session};
	if( $eprints_session->get_lang->has_phrase( "irstats:header", $eprints_session ) )
	{
		print $eprints_session->html_phrase( "irstats:header" )->toString;
	}
	# EPrints Services/tmb end

	print "<h1>IRStats</h1>\n";

	print <<EOH;
<div class='help'>
To generate a dashboard, please select a set of eprints below.
</div>
EOH

	my $view_dir = $conf->get_value('view_path');
	opendir(DIR, $view_dir);
	my @view_files = grep(/\.pm$/,readdir(DIR));
	closedir(DIR);

	foreach my $i (0 .. $#view_files) {
		$view_files[$i] =~ s/\.pm$//;
	}

	my $cgi = $session->cgi;

	my $controls = IRStats::UserInterface::Controls->new(session => $session);

	print "<form action=\"".$cgi->url."\" method=\"get\">\n";

	print "<input type='hidden' name='page' value='dashboard'/>\n";
	print $controls->eprints_control();

	print "<input type=\"submit\" value=\"Generate the Dashboard\" />";

	print "</form>";
}

1;
