package IRStats::View::AllDownloadCountHTML;

use strict;
use warnings;

use IRStats::DatabaseInterface;
use IRStats::Cache;
use IRStats::Visualisation::HTML;
use IRStats::View;
use Data::Dumper;

our @ISA = qw/ IRStats::View /;

sub initialise
{
        my ($self) = @_;
	$self->{'sql_params'} = {
		columns =>  [ 'COUNT' ],
	};
        $self->{'visualisation'} = IRStats::Visualisation::HTML->new();
}

sub new
{
        my( $class, $params, $database ) = @_;
        my $self = $class->SUPER::new($params, $database);;
        $self->initialise();
        return $self;
}


sub populate
{
	my ($self) = @_;

	my $db = $self->{database};
	my $conf = $db->get_conf;

	my $query = $db->do_sql("SELECT COUNT(*) FROM " . $db->quote_identifier($conf->get_value('database_main_stats_table')));

        my $html;
        my @row = $query->fetchrow_array();
	$html = '<span class="irstats_view_fulltextcounthtml">' . ($row[0] ? $row[0] : '0') . "</span>";
        
	$query->finish();

	$self->{'visualisation'}->set('html',$html);
}

1;
